1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Logic 7 & earlier Does Anyone Have Logic 1.7-2.5?

Discussion in 'Logic 7 and older Versions' started by Apples, Mar 5, 2012.

  1. Apples

    Apples New Member

    Hello all,

    I've had to re-install my Power Mac music workstation recently after a hard drive crash, and it appears that my Macintosh Logic 2.0 floppy diskettes are corrupted.

    Is anyone willing to give or sell me the Logic 1.7/2.0/2.5 floppies? I'm familiar with 2.0 most, but will be happy just to have 1.7 or 2.5. My files are lost anyway, so I'll be starting from scratch anyhow.


Share This Page